#if !defined(AFX_FILEOPENDLG_H__D39C91CE_CB20_44B7_BAC2_FF05580AB19F__INCLUDED_)
#define AFX_FILEOPENDLG_H__D39C91CE_CB20_44B7_BAC2_FF05580AB19F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MultitronDlg.h : header file
//

#include "MultitronDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CFileOpenDlg dialog

class CFileOpenDlg : public CDialog
{
// Construction
public:
	CFileOpenDlg(CWnd* pParent = NULL);		// standard constructor
	~CFileOpenDlg();						// standard destructor

// Dialog Data
	//{{AFX_DATA(CFileOpenDlg)
	enum { IDD = IDD_FILEOPEN };
	CTreeCtrl	m_wndTreeFiles;
	CEdit		m_wndBuildFileName;
	CEdit		m_wndHintFileName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFileOpenDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	int AddTreeFileItem(CFileNode *pNode,HTREEITEM hParent = TVI_ROOT);

	// Generated message map functions
	//{{AFX_MSG(CFileOpenDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangedTreeFiles(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBrowse();

	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CFileNode* m_pFileNode;
	CString m_HintFileName;

public:
	CString GetFileName() {return m_HintFileName;}

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILEOPENDLG_H__D39C91CE_CB20_44B7_BAC2_FF05580AB19F__INCLUDED_)
